<ion-header>

  <ion-navbar>
    <ion-title>Dados pessoais</ion-title>
  </ion-navbar>

</ion-header>

<ion-content padding class="ion-item">

    <ion-item no-lines>
        <button ion-item large  (click)="takePicture()" *ngIf="photo==0" outline color="branco" float-left><img src="assets/imgs/user.png" class="icone"></button>
        <img class="circle-pic" src="{{ photo }}" *ngIf="photo!=0" float-left/>
    </ion-item>
    <form [formGroup]="formgroup" >
    <ion-item>
      <ion-label>Nome</ion-label>
      <ion-input type="text" placeholder="Nome do idoso" [(ngModel)]="data.nome" formControlName="nome"  ></ion-input>
    </ion-item>
    <ion-item class="error" *ngIf="nome.hasError('required') && nome.touched">
        <p> *Nome é um campo obrigado de ser preenchido</p>
      </ion-item>
      <ion-item class="error" *ngIf="nome.hasError('minlength') && nome.touched">
          <p> Seu nome precisa ter mais que 4 caracteres</p>
      </ion-item>
      <ion-item class="error" *ngIf="nome.hasError('maxlength') && nome.touched">
          <p>Máximo 30 caracteres</p>
      </ion-item>
    <ion-item>
      <ion-label >Data Nascimento</ion-label>
      <ion-datetime displayFormat="DD/MM/YYYY" [(ngModel)]="data.nascimento" min="1880" max="1970" formControlName="nasce"></ion-datetime>
    </ion-item>
    <!--
    <ion-item>
      <ion-label >Sexo</ion-label>
      <ion-select [(ngModel)]="data.sexo" formControlName="sex"  >
        <ion-option value="Masculino">Masculino</ion-option>
        <ion-option value="Feminino">Feminino</ion-option>
      </ion-select>
    </ion-item>
    -->

    <button ion-button type="submit" block color="botao" [disabled]="formgroup.invalid" (click)="saveData()">Confirmar</button>
  </form>
</ion-content>
